Linux

Centos7升级Python2.X至Python3.72

微信扫一扫,分享到朋友圈

Centos7升级Python2.X至Python3.72
0

为了使用某些基于Python的应用,这里需将旧版的Python升级至3.X,升级后可能会出现yum不可能或者其他问题, 所以,在更新 Python 时,建议不要删除旧版本(新旧版本可以共存)。

一、查看当前python版本

python -V Python 2.7.5

二、下载新的python包并安装

  进入python官网(https://www.python.org),选择需要的版本。此处我选择当前最新版本Python3.7.2

yum install gcc gcc-c++ -y
wget https://www.python.org/ftp/python/3.7.2/Python-3.7.2.tgz
tar xvf Python-3.7.2.tar.xz 
cd Python-3.6.1/
./configure
make
make install

三、验证

python -V     #一个是旧版本,一个是新版本 Python 2.7.5 
python3 -V Python 3.6.1

验证后即表示成功。

四、设置3.X为默认版本

  查看 Python 的路径,在 /usr/bin 下面。可以看到 python 链接的是 python 2.7,所以,执行 python 就相当于执行 python 2.7。

ls -al /usr/bin | grep python
-rwxr-xr-x.   1 root root       11232 Dec  2  2016 abrt-action-analyze-python
lrwxrwxrwx.   1 root root           7 May 26  2017 python -> python2
lrwxrwxrwx.   1 root root           9 May 26  2017 python2 -> python2.7
-rwxr-xr-x.   1 root root        7136 Nov  6  2016 python2.7

将原来 python 的软链接重命名:

mv /usr/bin/python /usr/bin/python.bak

将 python 链接至 python3:

ln -s /usr/local/bin/python3 /usr/bin/python

五、配置yum

 升级 Python 之后,由于将默认的 python 指向了 python3,yum 不能正常使用,需要编辑 yum 的配置文件,此时:

yum list   File "/usr/bin/yum", line 30     except KeyboardInterrupt, e:

SyntaxError: invalid syntax

修改/usr/bin/yum和/usr/libexec/urlgrabber-ext-down,将 #!/usr/bin/python 改为 #!/usr/bin/python2.7,保存退出即可。

六、其他问题

如果按照报错:ModuleNotFoundError: No module named ‘_ctypes’

请先执行

yum install libffi-devel -y

按照libffi-devel后在进行make操作。

自媒体人,喜欢网络,热爱研究。本站头条号:星河 熊掌号:海拔科技

教程 | Centos7 下载安装transmission 2.94 及汉化教程 无差错

上一篇

Centos 7 下编译安装FFmpeg 4.1 版本 无报错

下一篇

你也可能喜欢

发表评论

您的电子邮件地址不会被公开。 必填项已用 * 标注

提示:点击验证后方可评论!

插入图片